%global project   felix
%global bundle    org.apache.felix.scr.ds-annotations
Name:          felix-scr-ds-annotations
Version:       1.2.8
Release:       1%{?dist}
Summary:       Annotations for DS
License:       ASL 2.0
URL:           http://felix.apache.org/
Source0:       http://www.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildRequires: maven-local
%if %{?fedora} < 21
BuildRequires: mvn(org.apache.felix:felix-parent)
%else
BuildRequires: mvn(org.apache.felix:felix-parent:pom:)
%endif
BuildRequires: mvn(org.apache.felix:org.apache.felix.scr.generator)
BuildRequires: mvn(org.eclipse.osgi:org.eclipse.osgi.services)

BuildArch:     noarch

%description
Annotations for generating OSGi service descriptors.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%mvn_file :%{bundle} %{project}/%{bundle}

# Default use OSGi 4.x specs
%pom_remove_dep org.osgi:org.osgi.compendium
%pom_add_dep org.eclipse.osgi:org.eclipse.osgi.services

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc changelog.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Mon Mar 16 2015 gil cattaneo <puntogil@libero.it> 1.2.8-1
- initial rpm
